module.exports = {
  create: {
    requestBody: [
      "title",
      "desc",
      "start_time",
      "end_time",
      "join_end",
      "user_id",
      "province",
      "file_path",
      "place",
      "is_allowed",
      "roomname",
      "u_id",
      "adminuser",
      "phone",
      "passwd",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "desc",
      "start_time",
      "end_time",
      "join_end",
      "status",
      "province",
      "file_path",
      "place",
      "roomname",
      "u_id",
      "adminuser",
      "phone",
      "passwd",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [
        "title",
        "desc",
        "start_time",
        "end_time",
        "join_end",
        "user_id",
        "is_allowed",
        "status",
        "province",
        "place",
        "roomname",
        "u_id",
      ],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  apply: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "user_name",
      "buyer",
      "goodsList",
      "contact",
      "contact_tel",
      "email",
      "role",
      "company",
    ],
    service: "apply",
  },
  check: {
    params: ["!id", "!dock_id"],
    requestBody: ["status"],
    service: "check",
  },
  dockCheck: {
    params: ["!id"],
    requestBody: ["is_allowed", "reason"],
    service: "dockCheck",
  },
};
